<div id="getting_started" class="serenity-tab-pane">
    <div class="left">
        <div>
            <p><?php esc_html_e('Follow the steps below to setup Serenity Lite and begin customizing your website.', 'serenity-lite'); ?></p>
            <h3><?php esc_html_e('Step 1 - Install Plugins', 'serenity-lite'); ?></h3>
            <ol>
                <li><?php esc_html_e('Install', 'serenity-lite'); ?> <a target="_blank" href="<?php echo esc_url('https://wordpress.org/plugins/serenity-theme-extensions/'); ?>"><?php esc_html_e('Serenity Theme Extensions', 'serenity-lite'); ?></a> <?php esc_html_e('plugin', 'serenity-lite'); ?></li>
                <li><?php esc_html_e('Install', 'serenity-lite'); ?> <a target="_blank" href="<?php echo esc_url('https://wordpress.org/plugins/wpforms-lite/'); ?>"><?php esc_html_e('Contact Form by WPForms', 'serenity-lite'); ?></a> <?php esc_html_e('plugin', 'serenity-lite'); ?></li>
                <li><?php esc_html_e('Install', 'serenity-lite'); ?> <a target="_blank" href="<?php echo esc_url('https://wordpress.org/plugins/mailchimp-for-wp/'); ?>"><?php esc_html_e('Mailchimp for WordPress', 'serenity-lite'); ?></a> <?php esc_html_e('plugin', 'serenity-lite'); ?></li>
            </ol>
            <p>
                <?php if ( current_user_can( 'install_plugins' ) ) : ?>
                    <a class="button button-secondary" href="<?php echo esc_url('themes.php?page=tgmpa-install-plugins'); ?>"><?php esc_html_e('Install Plugins', 'serenity-lite'); ?></a>
                <?php endif; ?>
            </p>
        </div>
        <div>
            <h3><?php esc_html_e('Step 2 - Configure One-Page Template', 'serenity-lite'); ?></h3>
            <ol>
                <li><?php esc_html_e('Create or edit a page, and assign it the One-Page Template from the Page Attributes section.', 'serenity-lite'); ?></li>
                <li><?php esc_html_e('Go to Settings > Reading and set "Front page displays" to "A static page".', 'serenity-lite'); ?></li>
                <li><?php esc_html_e('Select the page you just assigned the One-page Template to as "Front page" and then choose another page as "Posts page" to serve your blog posts.', 'serenity-lite'); ?></li>
            </ol>
            <p><a class="button button-secondary" target="_blank" href="<?php echo esc_url('http://support.themely.com/knowledgebase/how-to-setup-the-one-page-template-for-serenity/'); ?>"><?php esc_html_e('How to Setup the One-Page Template for Serenity', 'serenity-lite'); ?></a></p>
        </div>
        <div>
            <h3><?php esc_html_e('Step 3 - Customize Your Website', 'serenity-lite'); ?></h3>
            <p class="about"><?php esc_html_e('Click the button below to configure theme settings and start customizing your site.', 'serenity-lite'); ?></p>
            <p>
                <?php if ( current_user_can( 'customize' ) ) : ?>
                    <a class="button button-primary button-hero" href="<?php echo esc_url( wp_customize_url() ); ?>"><?php esc_html_e('Customize Your Site', 'serenity-lite'); ?></a>
                <?php endif; ?>
            </p>
        </div>
    </div>
</div>
<div class="clear"></div>